Page MenuHomePhabricator

[GISel][x86] X86 part for D37640
AbandonedPublic

Authored by igorb on Sep 11 2017, 3:09 AM.

Details

Event Timeline

igorb created this revision.Sep 11 2017, 3:09 AM

Hi Igor, thanks for this patch. I still see these three tests failing.
Failing Tests (3):

LLVM :: CodeGen/X86/GlobalISel/memop-scalar-x32.ll
LLVM :: CodeGen/X86/GlobalISel/memop-scalar.ll
LLVM :: CodeGen/X86/GlobalISel/trunc.ll

Hi Aditya,
I implemented missing functionality in https://reviews.llvm.org/rL312903
Could you please rebase.

Regards,
Igor

Thanks Igor. I see this failing - CodeGen/X86/GlobalISel/phi.ll with the latest rebase on TOT.
Could you take a look at that please?
Thanks

igorb updated this revision to Diff 115711.Sep 18 2017, 1:48 PM
  • rebase
igorb added a comment.Sep 18 2017, 1:49 PM

Fixed CodeGen/X86/GlobalISel/phi.ll failing.

Thanks. That worked and I've merged in the changes.

igorb abandoned this revision.Jun 4 2018, 11:54 PM

merged.